<?php

/**
*TellezDM
 */

class ShowRaportPage extends AbstractGamePage
{
	public static $requireModule = 0;

	protected $disableEcoSystem = true;

	function __construct()
	{
		parent::__construct();
	}

	private function BCWrapperPreRev2321($combatReport)
	{
		if (isset($combatReport['moon']['desfail'])) {
			$combatReport['moon'] = array(
				'moonName' => $combatReport['moon']['name'],
				'moonChance' => $combatReport['moon']['chance'],
				'moonDestroySuccess' => !$combatReport['moon']['desfail'],
				'fleetDestroyChance' => $combatReport['moon']['chance2'],
				'fleetDestroySuccess' => !$combatReport['moon']['fleetfail']
			);
		} elseif (isset($combatReport['moon'][0])) {
			$combatReport['moon'] = array(
				'moonName' => $combatReport['moon'][1],
				'moonChance' => $combatReport['moon'][0],
				'moonDestroySuccess' => !$combatReport['moon'][2],
				'fleetDestroyChance' => $combatReport['moon'][3],
				'fleetDestroySuccess' => !$combatReport['moon'][4]
			);
		}

		if (isset($combatReport['simu'])) {
			$combatReport['additionalInfo'] = $combatReport['simu'];
		}

		if (isset($combatReport['debris'][0])) {
			$combatReport['debris'] = array(
				901 => $combatReport['debris'][0],
				902 => $combatReport['debris'][1]
			);
		}

		if (!empty($combatReport['steal']['metal'])) {
			$combatReport['steal'] = array(
				901 => $combatReport['steal']['metal'],
				902 => $combatReport['steal']['crystal'],
				903 => $combatReport['steal']['deuterium']
			);
		}

		return $combatReport;
	}

	function battlehall()
	{
		global $LNG, $USER;

		$LNG->includeData(array('FLEET'));
		$this->setWindow('popup');

		$db = Database::get();

		$RID = HTTP::_GP('raport', '');

		$sql = "SELECT 
			raport, time,
			(
				SELECT
				GROUP_CONCAT(username SEPARATOR ' & ') as attacker
				FROM %%USERS%%
				WHERE id IN (SELECT uid FROM %%TOPKB_USERS%% WHERE %%TOPKB_USERS%%.rid = %%RW%%.rid AND role = 1)
			) as attacker,
			(
				SELECT
				GROUP_CONCAT(username SEPARATOR ' & ') as defender
				FROM %%USERS%%
				WHERE id IN (SELECT uid FROM %%TOPKB_USERS%% WHERE %%TOPKB_USERS%%.rid = %%RW%%.rid AND role = 2)
			) as defender
			FROM %%RW%%
			WHERE rid = :reportID;";
		$reportData = $db->selectSingle($sql, array(
			':reportID' => $RID
		)
		);

		$Info = array($reportData["attacker"], $reportData["defender"]);

		if (!isset($reportData)) {
			$this->printMessage($LNG['sys_raport_not_found']);
		}

		$crom = HTTP::_GP('mode', '');
		$combatReport = unserialize($reportData['raport']);
		$combatReport['time'] = _date($LNG['php_tdformat'], $combatReport['time'], $USER['timezone']);
		$combatReport = $this->BCWrapperPreRev2321($combatReport);

		//ssssw

		$sql = "SELECT *FROM `uni1_comments` where `hof_id` = :RID";
		$comments3 = $db->select($sql, array(
			':RID' => $RID,
		)
		);

		//ES AQUI LA TALLA
		//$comments3 = $GLOBALS['DATABASE']->query("SELECT *FROM `uni1_comments` where `hof_id` = '".$GLOBALS['DATABASE']->sql_escape($RID)."' ;");
		if (count($comments3) == 0) {
			$comments2 = "There are no comments";
		} else {
			//while($s = $GLOBALS['DATABASE']->fetch_array($comments3)){
			for ($ss = 0; $ss < count($comments3); $ss++) {
				$s = $comments3[$ss];
				// $u = $db->uniquequery("SELECT `avatar` from `uni1_users` where `username` = '".$s['username']."' ;");
				$comments2[] = array(
					'name' => $s['username'],
					'time' => gmdate("Y/m/d H:i:s", $s['time']),
					'says' => $s['comment'],
					'avatar' => 'styles/images/no_avatar.png',
				);

			}
		}

		$array = array(
			'com_number' => count($comments3),
			'comments' => $comments2,
			'crom' => $crom,
			'id_ul_hof' => $RID,
			'Raport' => $combatReport,
			'Info' => $Info,
			'pageTitle' => $LNG['lm_topkb']
		);
		//echo json_encode($array);
		$this->assign(
			$array
		);

		$this->display('shared.mission.raport.tpl');
	}

	function show()
	{
		global $LNG, $USER;

		$LNG->includeData(array('FLEET'));
		$this->setWindow('popup');

		//comments A PARTIR DE AQUI
		$crom = 'lol';

		$db= Database::get();

		$y = HTTP::_GP('gets', '');
		if (!empty($y))
			switch ($y) {
				case 'add':
					$hof = HTTP::_GP('hof', ''); 
					$sql = "SELECT *FROM uni1_raports WHERE rid = :RID;";

					$raportData = $db->selectSingle($sql, array(
						':RID' => $hof,
					)
					);
					if (empty($raportData)) {
						exit();
					}

					$comment = HTTP::_GP('comment', '');
					//$GLOBALS['DATABASE']->query("INSERT INTO `uni1_comments`(`username`, `comment`, `time`, `hof_id`) VALUES 
					//('" . $USER['username'] . "','" . $GLOBALS['DATABASE']->sql_escape($comment) . "','" . TIMESTAMP . "','" . $GLOBALS['DATABASE']->sql_escape($hof) . "') ;");
					$sql	= 'INSERT INTO `uni1_comments` SET username = :username, comment = :comment , time = :time, hof_id = :hof_id'; ///eso si no lo entiendo
					$db->insert($sql, array(
						':username'	=> $USER['username'],
						':comment'	=> $comment,
						':time'	=> TIMESTAMP ,
						':hof_id'	=> $hof,
					));
					echo "Comment Inserted";
					exit();
					
				case 'comments':
					$hof = HTTP::_GP('hof', '');
					$sql = "SELECT *FROM uni1_raports WHERE rid = :RID;";

					$raportData = $db->selectSingle($sql, array(
						':RID' => $hof,
					)
					);
					if (empty($raportData)) {
						return false;
					}
					$lista = "";
					//$cautare = $GLOBALS['DATABASE']->query("SELECT *FROM `uni1_comments` where `hof_id` = '" 
					//. $GLOBALS['DATABASE']->sql_escape($hof) . "' order by `time` asc;");
					
					$sql = "SELECT *FROM `uni1_comments` WHERE hof_id = :RID  order by `time` asc;";

					$cautare = $db->select($sql, array(
						':RID' => $hof,
					)
					);

					//while ($s = $GLOBALS['DATABASE']->fetch_array($cautare)) {
for($ii = 0 ;$ii < count($cautare) ; $ii++){
	$s = $cautare[$ii];
						$lista .= "<li style=\"background: url('../images/sfondonuovo.jpg') no-repeat scroll -3px 0 grey; margin: 0 5px 0 17px;padding: 15px 0;list-style: none outside none;\">
<div style=\"margin:0px 10px 0px 0px;padding: 0px;float:left;\">
<img src='styles/resource/images/avatar_default.jpg' height=\"35px\" width=\"35px\">
</div>
<div style=\"float: left;font-size: 85%;line-height: 1.7;overflow: hidden;text-overflow: ellipsis;text-align: left;\">
<p>" . $s['username'] . " at " . gmdate("Y/m/d H:i:s", $s['time']) . "</p>
   " . $s['comment'] . "
</div>
<div style=\"clear: both;display: block;font-size: 1px;height: 1px;line-height: 1px;margin-bottom: -1px;\"></div>
</li>";
					}
					echo $lista;
					exit();
					
			}

		//comments

		$db = Database::get();

		$RID = HTTP::_GP('raport', '');

		$sql = "SELECT raport,attacker,defender FROM uni1_raports WHERE rid = :reportID;";
		$reportData = $db->selectSingle($sql, array(
			':reportID' => $RID
		)
		);

		if (empty($reportData)) {
			$this->printMessage($LNG['sys_raport_not_found']);
		}

		// empty is BC for pre r2484
		$isAttacker = empty($reportData['attacker']) || in_array($USER['id'], explode(",", $reportData['attacker']));
		$isDefender = empty($reportData['defender']) || in_array($USER['id'], explode(",", $reportData['defender']));

		if (empty($reportData) || (!$isAttacker && !$isDefender)) {
			$this->printMessage($LNG['sys_raport_not_found']);
		}

		$combatReport = unserialize($reportData['raport']);
		if ($isAttacker && !$isDefender && $combatReport['result'] == 'r' && count($combatReport['rounds']) <= 2) {
			$this->printMessage($LNG['sys_raport_lost_contact']);
		}

		$combatReport['time'] = _date($LNG['php_tdformat'], $combatReport['time'], $USER['timezone']);
		$combatReport = $this->BCWrapperPreRev2321($combatReport);

		$this->assign(
			array(
				'Raport' => $combatReport,
				'pageTitle' => $LNG['sys_mess_attack_report']
			)
		);

		$this->display('shared.mission.raport.tpl');
	}
}